datapush::Sensor Struct Reference

Sensor information. More...

`import"sensorpush.idl";`

## Public Attributes

Device | device
| Device information.
string | id
| Sensor identification.
int | readingtype
| Reading type (numeric or discrete)
sensors::NumericSensor_4_0_3 MetaData | metadata
| Metadata (if readingType is NUMERIC)

## Detailed Description

Sensor information.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/sensorpush.idl